// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('myCAD', ['ionic', 'myCAD.controllers', 'myCAD.services']).run(function($ionicPlatform) {
                                                                                    $ionicPlatform.ready(function() {
                                                                                                         if(window.StatusBar) {
                                                                                                         // org.apache.cordova.statusbar required
                                                                                                         StatusBar.styleDefault();
                                                                                                         }
                                                                                                         });
                                                                                    })
.config(function($stateProvider, $urlRouterProvider, $sceProvider) {

        
  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
  
        
    // setup an abstract state for the tabs directive
        .state('signin', {
               url: "/sign-in",
               templateUrl: 'templates/sign-in.html',
               controller: 'SignInCtrl'
               })

        
        .state('tabs', {
      url: "/tab",
      abstract: true,
      templateUrl: "templates/tabs.html"
    })

    // Each tab has its own nav history stack:

    .state('tabs.dash', {
      url: '/dash',
      views: {
        'tab-dash': {
          templateUrl: 'templates/tab-dash.html',
          controller: 'DashCtrl'
        }
      }
    })

    .state('tabs.cads', {
      url: '/cads',
      views: {
        'tab-cads': {
          templateUrl: 'templates/tab-cads.html',
          controller: 'CadCtrl'
        }
      }
    })
        .state('tabs.cadsdemo', {
               url: '/cadsdemo',
               views: {
               'tab-cads': {
               templateUrl: 'templates/tab-cads-demo.html',
               controller: 'CadCtrlDemo'
               }
            }
    })
    .state('tabs.cad-detail', {
      url: '/cad/:itemsid',
      views: {
        'tab-cads': {
          templateUrl: 'templates/tab-cad-detail.html',
          controller: 'CadDetailCtrl'
        }
      }
    })
        .state('tabs.cad-detail-demo', {
               url: '/caddemo/:itemsid',
               views: {
               'tab-cads': {
               templateUrl: 'templates/tab-cad-detail-demo.html',
               controller: 'CadDetailCtrlDemo'
               }
               }
               })

    .state('tabs.account', {
      url: '/account',
      views: {
        'tab-account': {
          templateUrl: 'templates/tab-account.html',
          controller: 'AccountCtrl'
        }
      }
           })

  // if none of the above states are matched, use this as the fallback
        $urlRouterProvider.otherwise("/sign-in");
        
        

});

