angular.module('myCAD.controllers', [])

.controller('DashCtrl', function($scope) {
            })

.controller('CadCtrl', function($scope, $interval, getCADdata, UserService) {
			//window.plugin.backgroundMode.enable();
			//window.plugin.notification.local.add({ message: 'Dispatch Alert: New CAD Item!' });
			
            var firstResult;
            var oldResult;
                        
			getCADdata.getCADAsync(function(results,UserService) {
				$scope.CAD = results.RunNumber;
				var Data = results.RunNumber;
				});
            
            $scope.reloadRoute = function() {
            $window.location.reload();
            }
            
			$scope.next = function(index) {
				Data.index = index;
				var item = Data[index];
				var ref = window.open('http://maps.google.com/maps?q=' + Data[index].latitude +','+ Data[index].longitude , '_blank', 'location=yes');
				ref.addEventListener('loadstart', function() { alert(event.url); });
            };

            var refreshData = function() {
					getCADdata.getCADAsync(function(results,UserService) {
					//reloadRoute();
					//alert(results.RunNumber[0].IncidentNumber);
                   if (firstResult) {oldResult = firstResult; }
                    
				firstResult = results.RunNumber[0].IncidentNumber;
				
				//alert($scope.firstResult.IncidentNumber);
				//alert(firstResult);
				//alert(oldResult);
				//var myMessage = "New Incident: " + firstResult;
				//window.plugin.notification.local.add({ message: myMessage });
				
                                           
                if ((firstResult != oldResult) && (oldResult) ) {
					//Send Notification Here
					var myMessage = "New Incident: " + firstResult;
					window.plugin.notification.local.add({ message: myMessage });
                            
					//alert("New CAD item!");
				}
				
				var oldResults = results.RunNumber;
				$scope.items = results.RunNumber;
				});
            };

			var promise = $interval(refreshData, 5000); //every 30 seconds.

            $scope.$on('$destroy', function(){
				if (angular.isDefined(promise)) {
				$interval.cancel(promise);
				promise = undefined;
				}
			});            
})

.controller('CadCtrlDemo', function($scope, $interval, Data) {
			//window.plugin.backgroundMode.enable();
			window.plugin.notification.local.add({ message: 'Dispatch Alert: New CAD Item!' });

			$scope.CAD = Data.CAD;
            
            $scope.firstResult;
            $scope.oldResult;
            


			$scope.next = function(index) {
				Data.index = index;
				var item = Data.CAD[index];
				var ref = window.open('http://maps.google.com/maps?q=' + Data.CAD[index].latitude +','+ Data.CAD[index].longitude , '_blank', 'location=yes');
				ref.addEventListener('loadstart', function() { alert(event.url); });
				};
            
            var refreshData = function() {
            getCADdata.getCADAsync(function(results,UserService) {
                                   
                                   for (first in results.RunNumber) break;
                                   if ($scope.firstResult) {$scope.oldResult = $scope.firstResult; }
                                   $scope.firstResult = first;
                                   if (($scope.firstResult != $scope.oldResult) && ($scope.oldResult) ) {
                                   //Send notification here
                                   // window.plugin.notification.local.add({ message: 'Dispatch Alert: New CAD Item!' });
                                   
                                   //alert("New CAD item!");
                                   }
                                   var oldResults = results.RunNumber;
                                   $scope.items = results.RunNumber;
                                   });
            };
            
			var promise = $interval(refreshData, 2000); //every 30 seconds.
            
            $scope.$on('$destroy', function(){
                       if (angular.isDefined(promise)) {
                       $interval.cancel(promise);
                       promise = undefined;
                       }
                       });
})

.controller('CadDetailCtrl', function($scope, $stateParams, $interval, getCADdata, UserService) {
            getCADdata.getCADAsync(function(results,UserService) {
				$scope.itemsid = results.RunNumber[$stateParams.itemsid];
			});
           // $scope.itemsid  = UserService.DataTest.RunNumber[$stateParams.itemsid];

            $scope.openpage = function() {
				var IncidentAddress = $scope.itemsid.Address
				IncidentAddress = IncidentAddress.replace("<![CDATA[", "").replace("]]>", "");
				IncidentAddress = IncidentAddress.replace("<BR>", " ");
				IncidentAddress = IncidentAddress.replace("#", "apt");
				IncidentAddress = IncidentAddress.replace(/[&]nbsp[;]/gi," "); // removes all &nbsp;
				IncidentAddress = IncidentAddress.replace(/[<]br[^>]*[>]/gi,"");
				IncidentAddress = IncidentAddress.split(' ').join('+');
				var ref = window.open('https://google.com/maps?q=' + IncidentAddress, '_blank', 'location=yes');
            };
})
		
.controller('CadDetailCtrlDemo', function($scope, $stateParams, $interval, Data, UserService) {
 
            var IncidentAddressDemo = $stateParams.itemsid;
            IncidentAddressDemo = IncidentAddressDemo.replace("<![CDATA[", "").replace("]]>", "");
            IncidentAddressDemo = IncidentAddressDemo.replace("<BR>", " ");
			IncidentAddressDemo = IncidentAddressDemo.replace("#", "apt");
            IncidentAddressDemo = IncidentAddressDemo.replace(/[&]nbsp[;]/gi," "); // removes all &nbsp;
            IncidentAddressDemo = IncidentAddressDemo.replace(/[<]br[^>]*[>]/gi,"");
            IncidentAddressDemo = IncidentAddressDemo.split(' ').join('+');

            $scope.openpage = function() {
				var ref = window.open('https://google.com/maps?q=' + IncidentAddressDemo, '_blank', 'location=yes');
            };
})

.controller('SignInCtrl', ['$scope', '$http', 'UserService', '$state',   function(scope, $http, UserService, state) {
			scope.alertState = {show:false};
			scope.toggleLoginFailed = function() {
				scope.alertState.show = !scope.alertState.show;
			};
			
			scope.demo = function() {
				state.go('tabs.cadsdemo');
			};
			
			scope.erpage = function() {
				var ref = window.open('http://emergencyreporting.com', '_blank', 'location=yes');
				ref.addEventListener('loadstart', function() { alert(event.url); });
			};

			scope.login = function(user) {
                           
                var encodedPassword = encodeURIComponent(user.password);
                           
                           
				var config = {
					url: 'https://secure.emergencyreporting.com/WebservicesAPI/CAD1.php',
					method: 'POST',
					params : {
						"method" : "login",
						"username" : user.username,
						"pass" : encodedPassword,
						"output"   : "JSON_ONLY"
					},
					headers: {'Content-Type': 'application/json'}
				}
				$http(config).success(function(data,status,headers,config) {
					if(data.result == "success") {
						UserService.isLogged = true;
						UserService.username = user.username;
						UserService.password = encodedPassword;
						UserService.accountID = data.AccountID;
						state.go('tabs.cads');
					}
				else {
					UserService.isLogged = false;
					UserService.username = '';
					scope.toggleLoginFailed();
				}
			})
			
				.error(function(data,status,headers,config){
					UserService.isLogged = false;
					UserService.username = '';
					scope.toggleLoginFailed();
				});
			}
}])

.directive('bindUnsafeHtml', ['$compile',
			function($compile) {
				return function(scope, element, attrs) {
					scope.$watch(
						function(scope) {
							// watch the 'bindUnsafeHtml' expression for changes
							return scope.$eval(attrs.bindUnsafeHtml);
						},
						function(value) {
						// when the 'bindUnsafeHtml' expression changes
						// assign it into the current DOM
						value = value.replace("<![CDATA[", "").replace("]]>", "");
						//value = value.replace("<BR>", "");
						element.html(value);
						// compile the new DOM and link it to the current scope.
						// NOTE: we only compile .childNodes so that
						// we don't get into infinite loop compiling ourselves
						$compile(element.contents())(scope);
						}
					);
				};
			}
]);
