angular.module('myCAD.services', [])

/**
 * A simple example service that returns some data.
 */
.factory('Cads', function() {
  // Might use a resource here that returns a JSON array

  // Some fake testing data
  var cads = [
    { id: 0, name: 'Scruff McGruff' },
    { id: 1, name: 'G.I. Joe' },
    { id: 2, name: 'Miss Frizzle' },
    { id: 3, name: 'Ash Ketchum' }
  ];

  return {
    all: function() {
      return cads;
    },
    get: function(cadId) {
      // Simple index lookup
      return friends[cadsId];
    }
  }
})


 .factory('Data', function() {
 var Data = {};
 Data.CAD = [
 
 {
   'id':'1', 'IncidentNumber': 'CAD Item 1',
 'narrative': 'Code 100, Fire in Progress. Flames visible.',
 'address': '1421 N State St<br> Bellingham, WA 98225',
 'IncidentDateTime': '5/8/2014 10:08:02',
 'IncidentType': '100',
 't': '',
 'latitude': '48.750178',
 'longitude': '-122.474975'},
 {'id':'2','IncidentNumber': 'CAD Item 2',
 'narrative': 'Code 362, Ice Rescue. Man at Toad Lake. On Ice Surface',
 'address': 'Toad Lake,<br> Bellingham, WA',
 'IncidentDateTime': '5/8/2014 07:35:42',
 'incidenttype': '362',
 't': '',
 'latitude': '48.791049',
 'longitude': '-122.395512'},
 {'id':'3','IncidentNumber': 'CAD Item 3',
 'narrative': 'Code 324, Motor vehicle accident with no injuries. Blue Honda Civic 2004 went off road.',
 'address': '1421 N State St,<br> Bellingham, WA 98225',
 'IncidentDateTime': '5/8/2014 05:42:22',
 'incidenttype': '324',
 't': '',
 'latitude': '48.750178',
 'longitude': '-122.474975'}
 ];
 return Data;
          
          
          
 })

.factory('Data2', function() {
         var Data = {};
         Data.CAD = [
                     
                     {
                     'id':'1', 'IncidentNumber': 'CAD Item 1',
                     'narrative': 'Code 100, Fire in Progress. Flames visible.',
                     'address': '1421 N State St, Bellingham, WA 98225',
                     'date': '',
                     'incidenttype': '100',
                     't': '',
                     'latitude': '48.750178',
                     'longitude': '-122.474975'},
                     {'id':'2','IncidentNumber': 'CAD Item 2',
                     'narrative': 'Code 362, Ice Rescue. Man at Toad Lake. On Ice Surface',
                     'address': 'Toad Lake, Bellingham, WA',
                     'date': '',
                     'incidenttype': '362',
                     't': '',
                     'latitude': '48.791049',
                     'longitude': '-122.395512'},
                     {'id':'3','IncidentNumber': 'CAD Item 3',
                     'narrative': 'Code 324, Motor vehicle accident with no injuries. Blue Honda Civic 2004 went off road.',
                     'address': '1421 N State St, Bellingham, WA 98225',
                     'date': '',
                     'incidenttype': '324',
                     't': '',
                     'latitude': '48.750178',
                     'longitude': '-122.474975'}
                     ];
         return {
         all: function() {
         return Data;
         },
         get: function(cadId) {
         // Simple index lookup
         
         return Data.CAD[cadId-1];
       
         }
    }
         
         
})


.factory('getCADdata', function($http,UserService) {
            return {
            getCADAsync: function(callback) {
            
            var config = {
            url: 'https://secure.emergencyreporting.com/WebservicesAPI/cad1.php',
            method: 'POST',
            params : {
            "method" : "details",
            "username" : UserService.username,
            "pass" : UserService.password,
            "aid" : UserService.accountID,
            "output"   : "JSON_ONLY"
            },
            headers: {'Content-Type': 'application/json'}
            }
            
            $http(config).success(callback);
            }
            };
            })




 .factory('UserService', [function(){
 var sdo = {
 isLogged: false,
 username: '',
 accountID: ''
 };
 return sdo;
 }]);

